Name:           ocaml-ppx-tydi
Version:        0.17.0
Release:        %autorelease
Summary:        Infer pattern type in an OCaml let expression

License:        MIT
URL:            https://github.com/janestreet/ppx_tydi
VCS:            git:%{url}.git
Source:         %{url}/archive/v%{version}/ppx_tydi-%{version}.tar.gz

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0

%description
Ppx_tydi provides a ppx for `[let%tydi]:` type-directed [let] bindings.
In `[let%tydi a = b in ...]`, `[a]`'s type is inferred from `[b]` rather
than the other way around.  This is convenient for record patterns whose
fields are not in scope.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n ppx_tydi-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.mdx
%license LICENSE.md

%files devel -f .ofiles-devel

%changelog
%autochangelog
